CrossCorrValid
Image Proximity

Primitives for computing the cross correlation between two images with valid mode. More...

## CrossCorrValid

The functions compute the in General Introduction with valid mode (see Categorizations).
NppStatus | nppiCrossCorrValid_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point images CrossCorrValid. More...
NppStatus | nppiCrossCorrValid_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrValid_8u32f_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned images CrossCorrValid. More...
NppStatus | nppiCrossCorrValid_8u32f_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrValid_8s32f_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| One-channel 8-bit signed images CrossCorrValid. More...
NppStatus | nppiCrossCorrValid_8s32f_C1R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
NppStatus | nppiCrossCorrValid_16u32f_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned images CrossCorrValid. More...
NppStatus | nppiCrossCorrValid_16u32f_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)

## Detailed Description

Primitives for computing the cross correlation between two images with valid mode.

## Function Documentation

NppStatus nppiCrossCorrValid_16u32f_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrValid_16u32f_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned images CrossCorrValid.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrValid_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point images CrossCorrValid.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_8s32f_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrValid_8s32f_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit signed images CrossCorrValid.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_8u32f_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

NppStatus nppiCrossCorrValid_8u32f_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned images CrossCorrValid.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

Copyright © 2009-2018 NVIDIA Corporation